# eric6.UI.Previewers.MarkdownExtensions

Module implementing some Markdown extensions.

### Global Attributes

MermaidRegex
MermaidRegexFullText

### Classes

MermaidExtension | Class implementing a Markdown Extension for Mermaid.
MermaidPreprocessor | Class implementing a markdown pre-processor for Mermaid.
SimplePatternExtension | Class implementing a Markdown extension for ~, ~~, ^, ^^ and ==.

### Functions

None

## MermaidExtension

Class implementing a Markdown Extension for Mermaid.

### Derived from

Extension

### Class Attributes

None

### Class Methods

None

### Methods

extendMarkdown | Public method to register the extension.

### Static Methods

None

#### MermaidExtension.extendMarkdown

extendMarkdown(md, md_globals)

Public method to register the extension.

md
  reference to markdown
md_globals
  global config parameters

Up

## MermaidPreprocessor

Class implementing a markdown pre-processor for Mermaid.

### Derived from

Preprocessor

### Class Attributes

None

### Class Methods

None

### Methods

run | Public method to do the pre-processing.

### Static Methods

None

#### MermaidPreprocessor.run

run(lines)

Public method to do the pre-processing.

lines (list of str)
  text lines to be processed

Returns:
  processed lines

Return Type:
  list of str

Up

## SimplePatternExtension

Class implementing a Markdown extension for ~, ~~, ^, ^^ and ==.

Note: This is a very simple pattern extension that might conflict with formulas set for MathJax. Use the 'pymdown-extensions' package in this case.

### Derived from

Extension

### Class Attributes

DEL_RE
INS_RE
MARK_RE
SUB_RE
SUP_RE

### Class Methods

None

### Methods

extendMarkdown | Public method to register the extension.

### Static Methods

None

#### SimplePatternExtension.extendMarkdown

extendMarkdown(md)

Public method to register the extension.

md
  reference to markdown

Up